Bug 93629 - [NVE6] complete system freeze, PGRAPH engine fault on channel 2, SCHED_ERROR [ CTXSW_TIMEOUT ]
Summary: [NVE6] complete system freeze, PGRAPH engine fault on channel 2, SCHED_ERROR ...
Status: NEW
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 104421
  Show dependency treegraph
 
Reported: 2016-01-07 14:01 UTC by Matthias Nagel
Modified: 2019-05-21 12:01 UTC (History)
9 users (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg output after crash (7.17 KB, text/plain)
2016-01-07 14:01 UTC, Matthias Nagel
no flags Details
dmesg boot messages (3.83 KB, text/plain)
2016-01-07 14:02 UTC, Matthias Nagel
no flags Details
lspic -v output (1006 bytes, text/plain)
2016-01-07 14:02 UTC, Matthias Nagel
no flags Details
Xorg log (37.50 KB, text/plain)
2016-01-07 14:02 UTC, Matthias Nagel
no flags Details
Race condition fix for nouveau firmware (217.26 KB, patch)
2016-05-10 18:04 UTC, Roy
no flags Details | Splinter Review
Alternate fix (11.24 KB, patch)
2016-05-12 23:03 UTC, Ben Skeggs
no flags Details | Splinter Review
dmesg output with alternate fix applied (50.48 KB, text/plain)
2016-05-13 17:41 UTC, Dan Moulding
no flags Details
dmesg output with Roy's patch applied (50.74 KB, text/plain)
2016-05-13 18:31 UTC, Dan Moulding
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Nagel 2016-01-07 14:01:25 UTC
Created attachment 120860 [details]
dmesg output after crash

The system randomly freezes. I can still move the mouse but can't do anything else. I cannot switch VT, the three-finger salute does not work and system shut down via ACPI does not work either. The only way of recovery is a hard switch off.

The crash seems to occur more frequently, if I play videos (mplayer or Flash), but this is not a requirement.

The crash does not occur, if I use the blob firmware (nouveau.config="NvGrUseFw=1").

Graphic card: "ASUS GeForce GTX 660 PCI 3.0 2GB DDR5"

uname: "Linux 4.1.12-gentoo #2 SMP Wed Dec 23 19:28:09 CET 2015 x86_64 Intel(R) Xeon(R) CPU E3-1230 v3 @ 3.30GHz GenuineIntel GNU/Linux"

Beginning of dmesg:

Jan 06 16:04:24 matthias-pc kernel: nouveau E[   PFIFO][0000:01:00.0] SCHED_ERROR [ CTXSW_TIMEOUT ]
Jan 06 16:04:24 matthias-pc kernel: nouveau E[   PFIFO][0000:01:00.0] PGRAPH engine fault on channel 2, recovering...
Jan 06 16:04:31 matthias-pc kernel: nouveau E[  PGRAPH][0000:01:00.0] TRAP ch 5 [0x023f926000 kwin[606]]
Jan 06 16:04:31 matthias-pc kernel: nouveau E[  PGRAPH][0000:01:00.0] ROP0 0x80000000 0x80000001
Jan 06 16:04:31 matthias-pc kernel: nouveau E[  PGRAPH][0000:01:00.0] ROP1 0x80000000 0x80000001
Jan 06 16:04:31 matthias-pc kernel: nouveau E[  PGRAPH][0000:01:00.0] ROP2 0x80000000 0x80000001

For a complete log and more system information see the attached files.
Comment 1 Matthias Nagel 2016-01-07 14:02:01 UTC
Created attachment 120861 [details]
dmesg boot messages
Comment 2 Matthias Nagel 2016-01-07 14:02:31 UTC
Created attachment 120862 [details]
lspic -v output
Comment 3 Matthias Nagel 2016-01-07 14:02:50 UTC
Created attachment 120863 [details]
Xorg log
Comment 4 Ilia Mirkin 2016-01-07 14:10:49 UTC
I doubt this is it, but this patch only made it into 4.1.13:

https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=930a50a45963c8da0a27fbee73ae462d8ea54aca

The manifestation of that bug was different though, so ... probably unrelated. Wouldn't hurt to update though.

There have also been slight updates to the ctxsw fw in kernel 4.4, so you could try 4.4-rc8 and see if the issues remain. (Also the driver got a substantial refactor/rewrite in kernel 4.3.)

Either way, please check on latest to see if issues persist.
Comment 5 Matthias Nagel 2016-01-07 14:22:06 UTC
I also reported bug #93630 at the same time. Both problems occur in turns. I do not know if they are related, because the symptoms are completely different, but they both disappear using the blob firmware.
Comment 6 Matthias Nagel 2016-01-07 14:28:29 UTC
OK, I will test kernel 4.1.13 and 4.3.3. Both are available in the unstable branch of my distro. I cannot test 4.4.x yet. Let's see what I will find out.
Comment 7 Matthias Nagel 2016-01-08 11:15:02 UTC
The error also occurs with kernel 4.1.13 and 4.3.3.

First time it happened while playing a H.264 video with mplayer, the second time while scrolling a LibreOffice document.

Same dmesg messages.
Comment 8 Matthias Nagel 2016-01-20 19:09:21 UTC
Today, I finally managed to give kernel 4.4.0 a try. When I try to use the proprietary firmware I get to following boot error

Jan 20 20:01:44 kernel: nouveau 0000:01:00.0: Direct firmware load for nvidia/gk106/fecs_inst.bin failed with error -2
Jan 20 20:01:44 kernel: nouveau 0000:01:00.0: gr: failed to load fecs_inst

Where do I get this firmware from? Until now (<4.4.0) I used the following kernel parameters

CONFIG_CMDLINE="nouveau.config=\"NvGrUseFw=1\""
CONFIG_FIRMWARE_IN_KERNEL=y
CONFIG_EXTRA_FIRMWARE="nouveau/nve6_fuc409c nouveau/nve6_fuc409d nouveau/nve6_fuc41ac nouveau/nve6_fuc41ad"
CONFIG_EXTRA_FIRMWARE_DIR="firmware"

and used the firmware found in bug 72180 in attachment https://bugs.freedesktop.org/attachment.cgi?id=90180
Comment 9 Ilia Mirkin 2016-01-20 19:14:57 UTC
The driver's expectations of firmware were changed in

commit 8539b37acef73949861a16808b60cb8b5b9b3bab
Author: Alexandre Courbot <acourbot@nvidia.com>
Date:   Tue Jun 23 15:16:01 2015 +0900

    drm/nouveau/gr: use NVIDIA-provided external firmwares
    
    NVIDIA will officially start providing GR firmwares through
    linux-firmware for GPUs that require it. Change the GR firmware lookup
    function to use these files.
    
    Signed-off-by: Alexandre Courbot <acourbot@nvidia.com>
    Signed-off-by: Ben Skeggs <bskeggs@redhat.com>

fuc409c -> fecs_inst
fuc409d -> fecs_data
fuc41ac -> gpccs_inst
fuc41ad -> gpccs_data

And it wants the files to live in nvidia/gk106/ (or whatever the relevant chip name).

Ben's belief is that everyone should be fine with nouveau firmware, and the fact that the nvidia firmware works at all with nouveau is a fluke.
Comment 10 Ilia Mirkin 2016-01-20 19:15:56 UTC
(In reply to Ilia Mirkin from comment #9)
> fuc409c -> fecs_inst
> fuc409d -> fecs_data
> fuc41ac -> gpccs_inst
> fuc41ad -> gpccs_data

Sorry, all of those should have .bin at the end (i.e. fecs_inst.bin, etc)
Comment 11 Matthias Nagel 2016-01-20 19:25:07 UTC
Ok. Let's restate it in my own words to make sure I understood you correctly.

But first, let me say that I already have tried 4.4.0 without proprietary firmware. To this end I omitted nouveau.config="NvGrUseFw=1". I experienced the same crash with freeze while scrolling a LibreOffice Writer document. So bad news the bug is still there.

Now, I wanted to check if 4.4.0 with proprietary firmware works without crashing. For this purpose you want me to rename

nouveau/fuc409c -> nvidia/fecs_inst
nouveau/fuc409d -> nvidia/fecs_data
nouveau/fuc41ac -> nvidia/gpccs_inst
nouveau/fuc41ad -> nvidia/gpccs_data

These are essentially the same files but with a different path and name. Then I change

CONFIG_CMDLINE="nouveau.config=\"NvGrUseFw=1\""
CONFIG_FIRMWARE_IN_KERNEL=y
CONFIG_EXTRA_FIRMWARE="nvidia/fecs_inst nvidia/fecs_data nvidia/gpccs_inst nvidia/gpccs_data"
CONFIG_EXTRA_FIRMWARE_DIR="firmware"

After re-compilation I should have a new kernel that uses the proprietary fw and I should be able to check if the crash with freeze is still there or not.
Comment 12 Matthias Nagel 2016-01-20 19:25:29 UTC
... and of course with a ".bin" at the end
Comment 13 Ilia Mirkin 2016-01-20 19:26:20 UTC
(In reply to Matthias Nagel from comment #12)
> ... and of course with a ".bin" at the end

and a gk106 in between nvidia and the name, i.e. something that matches the error message it's giving you:

Jan 20 20:01:44 kernel: nouveau 0000:01:00.0: Direct firmware load for nvidia/gk106/fecs_inst.bin failed with error -2
Comment 14 Cedric Brandenbourger 2016-04-05 13:14:21 UTC
Hi i can confirm the problems with the GTX660 firmware.
I'm using Debian 9.0 Stretch with Kernel 4.4. When using the nouveau firmware i got random freezes. After installing the nvidia driver, the freezes disappeared.
I then found this bug report, an the solution with using the nvidia blob firmware is working like a charm

Cédric
Comment 15 Alexandre Courbot 2016-04-06 02:38:35 UTC
I think I am facing this issue.

Kernel 4.4.5, Arch Linux, GeForce GTX 650 Ti Boost (first time using it).

X will freeze almost immediately (typically right after my KDE session has loaded) with the following message:

nouveau 0000:01:00.0: fifo: write fault at 00002a2000 engine 00 [GR] client 0f [GPC1/PROP_0] reason 02 [PTE] on channel 2 [023faf0000 Xorg[666]]
nouveau 0000:01:00.0: fifo: gr engine fault on channel 2, recovering...

If have just booted using the NVIDIA firmware (NvGrUseFW=1), and X is working fine so far. Will perform a few more boots and spend some time on it to confirm the issue is solved.

This seems to be a GR firmware issue, any guidance on how I can help fixing it?
Comment 16 Dan Moulding 2016-04-13 16:23:31 UTC
I'm experiencing this bug with kernel 4.4.6 and GK106 (GeForce GTX 645 OEM).

For what it's worth, I've been experiencing this same bug for about two years, ever since kernel 3.12 (I was on kernel 3.10 prior to that and never experienced the bug). After each kernel upgrade I've done, I usually test the built-in firmware to see if the problem is still there. For a while, I thought the bug was gone as of the 4.4 kernel because I hadn't experienced the problem for a long time on 4.4 with the built-in firmware. But recently I upgraded my desktop environment to KDE Plasma 5 and now I've experienced the lockup twice in less than a 24-hour period.

I just switched back to the proprietary firmware (after moving/renaming the binary blobs to match the names that the new version of the driver looks for).

I'm willing to test the built-in firmware more, in order to help debug this longstanding problem. Is there something I can do to help gather more information (traces, enable debug logging, etc)?
Comment 17 Karol Herbst 2016-04-13 17:52:14 UTC
(In reply to Dan Moulding from comment #16)
> I'm experiencing this bug with kernel 4.4.6 and GK106 (GeForce GTX 645 OEM).
> 
> For what it's worth, I've been experiencing this same bug for about two
> years, ever since kernel 3.12 (I was on kernel 3.10 prior to that and never
> experienced the bug). After each kernel upgrade I've done, I usually test
> the built-in firmware to see if the problem is still there. For a while, I
> thought the bug was gone as of the 4.4 kernel because I hadn't experienced
> the problem for a long time on 4.4 with the built-in firmware. But recently
> I upgraded my desktop environment to KDE Plasma 5 and now I've experienced
> the lockup twice in less than a 24-hour period.
> 
> I just switched back to the proprietary firmware (after moving/renaming the
> binary blobs to match the names that the new version of the driver looks
> for).
> 
> I'm willing to test the built-in firmware more, in order to help debug this
> longstanding problem. Is there something I can do to help gather more
> information (traces, enable debug logging, etc)?

if you are _sure_ that it never happened with 3.10 it would be really good if you git bisect the kernel and see which commit broke it. If you wait like one or two days for a freeze you should be through in a month :/

But maybe there is somebody who might know what it could be if it is really new with 3.12 (or 3.11)
Comment 18 Alexandre Courbot 2016-04-27 09:22:28 UTC
Compiled and booted a 3.10 kernel in order to attempt a bisect, but the issue showed up on that version as well:

[   95.424646] nouveau E[  PGRAPH][0000:01:00.0] GPC ch 7 [0x000027f563 Xorg[1698]]:
[   95.424659] nouveau E[  PGRAPH][0000:01:00.0] GPC0/TP0/MP trap: INVALID_OPCODE
[   95.424671] nouveau E[  PGRAPH][0000:01:00.0] GPC2/TP0/MP trap: INVALID_OPCODE
[   95.424805] nouveau E[  PGRAPH][0000:01:00.0] GPC ch 7 [0x000027f563 Xorg[1698]]:
[   95.424813] nouveau E[  PGRAPH][0000:01:00.0] GPC1/TP0/MP trap: INVALID_OPCODE
[   95.424826] nouveau E[  PGRAPH][0000:01:00.0] GPC2/TP1/MP trap: INVALID_OPCODE
[   99.750909] nouveau W[   PFIFO][0000:01:00.0] unknown status 0x00000100
[  102.082998] nouveau E[  PGRAPH][0000:01:00.0] ROP0 ch 5 [0x000027f71f Xorg[1698]] 0x80000000 0x80000001
[  102.083000] nouveau E[  PGRAPH][0000:01:00.0] ROP1 ch 5 [0x000027f71f Xorg[1698]] 0x80000000 0x80000001
[  102.083000] nouveau E[  PGRAPH][0000:01:00.0] ROP2 ch 5 [0x000027f71f Xorg[1698]] 0x80000000 0x80000001
[  104.045757] nouveau W[   PFIFO][0000:01:00.0] unknown status 0x00000100
[  108.340607] nouveau W[   PFIFO][0000:01:00.0] unknown status 0x00000100

Using the external firmware, I cannot reproduce the problem on this kernel either. So it seems like the NVE6 firmware has a long-standing bug.
Comment 19 Roy 2016-05-10 18:04:59 UTC
Created attachment 123609 [details] [review]
Race condition fix for nouveau firmware

For anyone who experiences random hangs using the nouveau firmware and have spotted "SCHED_ERROR [ CTXSW_TIMEOUT ]" in the logs, please build a kernel with the attached patch and run using the nouveau firmware. Minimum kernel required is 4.6.

I've tested this on one machine of my own and have a strong indication that this improves the situation, but unfortunately it is difficult to distinguish random infrequent hangs from no hangs.
Comment 20 Alexandre Courbot 2016-05-11 04:46:14 UTC
Roy, NVE6 is rock-stable on my end using your patch. Feel free to add my

Tested-by: Alexandre Courbot <acourbot@nvidia.com>
Comment 21 Dan Moulding 2016-05-11 15:02:00 UTC
Roy, I can also give the patch a try on my setup tomorrow and will let you know how it goes.
Comment 22 Ben Skeggs 2016-05-12 23:03:28 UTC
Created attachment 123658 [details] [review]
Alternate fix

Can you guys please test this alternate fix?
Comment 23 Alexandre Courbot 2016-05-13 10:49:16 UTC
Ben, your patch is also working ok on my end (tested on top of Karol's branch).

Tested-by: Alexandre Courbot <acourbot@nvidia.com>
Comment 24 Matthias Nagel 2016-05-13 14:13:15 UTC
I tried to test both patches on top of 4.6_rc7. I can't tell if this bug is repaired, because I immediately ran into bug #95054 and another new bug I haven't had so far within seconds after I logged into KDE.

After three attempts for each patch I gave up trying. Sorry, I am of no help in this case.
Comment 25 Alexandre Courbot 2016-05-13 14:15:27 UTC
Weird, I also started Plasma 5, successfully.
Comment 26 Dan Moulding 2016-05-13 16:10:27 UTC
I've been running a 4.4.8 kernel, so had to build a 4.6-rc7 kernel. And, to be sure, I also wanted to first verify that I can reproduce the problem on unpatched 4.6-rc7. It took about 6.5 hours before my system locked up on 4.6-rc7.

Now I'm going to apply the patch (the alternate one from Ben) and see how that goes.
Comment 27 Dan Moulding 2016-05-13 17:41:08 UTC
Created attachment 123717 [details]
dmesg output with alternate fix applied

Ben, the alternate fix did not work for me. I got the CTXSW_TIMEOUT after just under an hour with that fix applied to 4.6-rc7.
Comment 28 Dan Moulding 2016-05-13 18:31:24 UTC
Created attachment 123727 [details]
dmesg output with Roy's patch applied

Well, dang. Roy's patch doesn't work for me either. I got CTXSW_TIMEOUT after only 22 minutes this time (4.6.0-rc7 + Roy's patch).
Comment 29 Alexandre Courbot 2016-05-16 08:51:54 UTC
Of course, I'm a f****ing idiot. I had "NvGrUseFW=1" dangling in /etc/modprobe.d, so I was using the external firmware during my trials. :/

Remove it, and similarly to Dan I can reproduce this error with both patchsets. Sorry. :(
Comment 30 Dāvis 2016-05-17 16:13:59 UTC
I think I'm getting this same bug with Nvidia GTX 650 Ti on Arch Linux using unpatched released kernel 4.6, xf86-video-nouveau 1.0.12 and mesa 11.2.2

Sometimes random hangs happen which locks up GPU.
Note that nouveau have never really worked for me on this PC with this GPU for like more than a year since I installed Linux there. It always have been getting random hangs like other bug #89912 So I've been using proprietary Nvidia driver which works fine.



Anyway for this bug, I'm using GNOME Shell and it happened while playing Minecraft (with java-8-openjdk)

Kernel log:

kernel: fb: switching to nouveaufb from EFI VGA
kernel: Console: switching to colour dummy device 80x25
kernel: nouveau 0000:01:00.0: NVIDIA GK106 (0e6060a1)
kernel: nouveau 0000:01:00.0: bios: version 80.06.21.00.37
kernel: nouveau 0000:01:00.0: fb: 1024 MiB GDDR5
kernel: [TTM] Zone  kernel: Available graphics memory: 12204692 kiB
kernel: [TTM] Zone   dma32: Available graphics memory: 2097152 kiB
kernel: [TTM] Initializing pool allocator
kernel: [TTM] Initializing DMA pool allocator
kernel: nouveau 0000:01:00.0: DRM: VRAM: 1024 MiB
kernel: nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
kernel: nouveau 0000:01:00.0: DRM: TMDS table version 2.0
kernel: nouveau 0000:01:00.0: DRM: DCB version 4.0
kernel: nouveau 0000:01:00.0: DRM: DCB outp 00: 01000f02 00020030
kernel: nouveau 0000:01:00.0: DRM: DCB outp 01: 02000f00 00020030
kernel: nouveau 0000:01:00.0: DRM: DCB outp 02: 08011f82 0f420030
kernel: nouveau 0000:01:00.0: DRM: DCB outp 03: 02022f62 0f420010
kernel: nouveau 0000:01:00.0: DRM: DCB conn 00: 00001030
kernel: nouveau 0000:01:00.0: DRM: DCB conn 01: 00002131
kernel: nouveau 0000:01:00.0: DRM: DCB conn 02: 00010263
kernel: [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
kernel: [drm] Driver supports precise vblank timestamp query.
kernel: nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
kernel: nouveau 0000:01:00.0: DRM: allocated 2560x1440 fb: 0x60000, bo ffff880601a1c400
kernel: fbcon: nouveaufb (fb0) is primary device
kernel: Console: switching to colour frame buffer device 128x48
kernel: nouveau 0000:01:00.0: fb0: nouveaufb frame buffer device
kernel: [drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 0
...
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00200000 [METHOD] ch 6 [003f7d0000 java[1817]] subc 0 mthd 000c data 00000000
kernel: nouveau 0000:01:00.0: gr: TRAP ch 6 [003f7d0000 java[1817]]
kernel: nouveau 0000:01:00.0: gr: DISPATCH 80000002 [CLASS_SUBCH_MISMATCH]
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 02000000 [SEMAPHORE] ch 6 [003f7d0000 java[1817]] subc 0 mthd 001c data 3f800000
kernel: nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0000 mthd 0100 data 00000000
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00200000 [METHOD] ch 6 [003f7d0000 java[1817]] subc 0 mthd 0030 data 20030700
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00200000 [METHOD] ch 6 [003f7d0000 java[1817]] subc 0 mthd 0034 data 00001014
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00200000 [METHOD] ch 6 [003f7d0000 java[1817]] subc 0 mthd 0038 data 00000000
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00200000 [METHOD] ch 6 [003f7d0000 java[1817]] subc 0 mthd 003c data 015c4d10
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00200000 [METHOD] ch 6 [003f7d0000 java[1817]] subc 0 mthd 0040 data 200207c0
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00200000 [METHOD] ch 6 [003f7d0000 java[1817]] subc 0 mthd 0044 data 00000000
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00200000 [METHOD] ch 6 [003f7d0000 java[1817]] subc 0 mthd 0048 data 015d1fff
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00400000 [METHODCRC] ch 6 [003f7d0000 java[1817]] subc 0 mthd 007c data a01108e3
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00200000 [METHOD] ch 6 [003f7d0000 java[1817]] subc 0 mthd 004c data 80000704
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00200000 [METHOD] ch 6 [003f7d0000 java[1817]] subc 0 mthd 00ec data 00000000
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00200000 [METHOD] ch 6 [003f7d0000 java[1817]] subc 0 mthd 00f0 data 00000000
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00200000 [METHOD] ch 6 [003f7d0000 java[1817]] subc 0 mthd 00f4 data 00000000
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00200000 [METHOD] ch 6 [003f7d0000 java[1817]] subc 0 mthd 00f8 data 3f800000
kernel: nouveau 0000:01:00.0: fifo: PBDMA0: 00200000 [METHOD] ch 6 [003f7d0000 java[1817]] subc 0 mthd 00fc data 3f800000
... loads of more like these ...
kernel: nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0000 mthd 0100 data 00000000
kernel: nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0000 mthd 0104 data 00000000
kernel: nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0000 mthd 0108 data 00000000
kernel: nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0000 mthd 010c data 00000000
kernel: nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0000 mthd 0110 data 00000000
kernel: nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0000 mthd 0114 data 3f800000
kernel: nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0000 mthd 0118 data 3f800000
... again all log spammed with these like ILLEGAL_CLASS ...
[  345.614760] nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0186 mthd 1b08 data 000014b6
[  345.614773] nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0186 mthd 1b0c data 1000f010
[  428.465923] nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0186 mthd 0100 data 00000000
[  428.465961] nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0186 mthd 1b00 data 00000000
[  428.465989] nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0186 mthd 1b04 data 00238000
[  428.466010] nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0186 mthd 1b08 data 000014b7
[  428.466037] nouveau 0000:01:00.0: gr: ILLEGAL_CLASS ch 6 [003f7d0000 java[1817]] subc 0 class 0186 mthd 1b0c data 1000f010
[ 6833.360096] nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
[ 6833.360109] nouveau 0000:01:00.0: fifo: gr engine fault on channel 6, recovering...
[ 7195.188708] nouveau 0000:01:00.0: gnome-shell[1177]: failed to idle channel 5 [gnome-shell[1177]]
[ 7210.189442] nouveau 0000:01:00.0: gnome-shell[1177]: failed to idle channel 5 [gnome-shell[1177]]
[ 7210.189607] nouveau 0000:01:00.0: fifo: read fault at 0000013000 engine 07 [PBDMA0] client 07 [HOST_CPU] reason 02 [PTE] on channel 5 [003f8aa000 gnome-shell[1177]]
[ 7210.189772] nouveau 0000:01:00.0: fifo: fifo engine fault on channel 5, recovering...
[ 7225.206843] nouveau 0000:01:00.0: java[2577]: failed to idle channel 6 [java[2577]]
[ 7240.207579] nouveau 0000:01:00.0: java[2577]: failed to idle channel 6 [java[2577]]

and here GPU lockup, but kernel itself didn't hung and works fine,
using SSH I was able to kill Xorg, unbind VT and unload nouveau and then reload it again

# echo 0 > /sys/class/vtconsole/vtcon1/bind
# rmmod nouveau
# modprobe nouveau
# echo 1 > /sys/class/vtconsole/vtcon1/bind

then I started Xorg and it works, and in kernel log can see

[ 7354.650288] Console: switching to colour dummy device 80x25
[ 7398.714966] [TTM] Finalizing pool allocator
[ 7398.714972] [TTM] Finalizing DMA pool allocator
[ 7398.715081] [TTM] Zone  kernel: Used memory at exit: 0 kiB
[ 7398.715084] [TTM] Zone   dma32: Used memory at exit: 0 kiB
[ 7398.715664] [drm] Module unloaded
[ 7449.947953] MXM: GUID detected in BIOS
[ 7449.948021] nouveau 0000:01:00.0: NVIDIA GK106 (0e6060a1)
[ 7450.009294] nouveau 0000:01:00.0: bios: version 80.06.21.00.37
[ 7450.010087] nouveau 0000:01:00.0: fb: 1024 MiB GDDR5
[ 7450.064908] [TTM] Zone  kernel: Available graphics memory: 12204692 kiB
[ 7450.064912] [TTM] Zone   dma32: Available graphics memory: 2097152 kiB
[ 7450.064914] [TTM] Initializing pool allocator
[ 7450.064921] [TTM] Initializing DMA pool allocator
[ 7450.064939] nouveau 0000:01:00.0: DRM: VRAM: 1024 MiB
[ 7450.064942] nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
[ 7450.064947] nouveau 0000:01:00.0: DRM: TMDS table version 2.0
[ 7450.064949] nouveau 0000:01:00.0: DRM: DCB version 4.0
[ 7450.064952] nouveau 0000:01:00.0: DRM: DCB outp 00: 01000f02 00020030
[ 7450.064955] nouveau 0000:01:00.0: DRM: DCB outp 01: 02000f00 00020030
[ 7450.064958] nouveau 0000:01:00.0: DRM: DCB outp 02: 08011f82 0f420030
[ 7450.064960] nouveau 0000:01:00.0: DRM: DCB outp 03: 02022f62 0f420010
[ 7450.064963] nouveau 0000:01:00.0: DRM: DCB conn 00: 00001030
[ 7450.064965] nouveau 0000:01:00.0: DRM: DCB conn 01: 00002131
[ 7450.064967] nouveau 0000:01:00.0: DRM: DCB conn 02: 00010263
[ 7450.066173] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[ 7450.066175] [drm] Driver supports precise vblank timestamp query.
[ 7450.122768] nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
[ 7450.213563] nouveau 0000:01:00.0: DRM: allocated 2560x1440 fb: 0x60000, bo ffff8804405c4800
[ 7450.213720] fbcon: nouveaufb (fb0) is primary device
[ 7450.569182] Console: switching to colour frame buffer device 128x48
[ 7450.569972] nouveau 0000:01:00.0: fb0: nouveaufb frame buffer device
[ 7450.587996] [drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 0
[ 7479.483820] Console: switching to colour dummy device 80x25
[ 7483.096411] Console: switching to colour frame buffer device 128x48


but then after some while it hung again 

[10425.388235] nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
[10425.388240] nouveau 0000:01:00.0: fifo: gr engine fault on channel 6, recovering...

[11378.573422] nouveau 0000:01:00.0: java[4377]: failed to idle channel 6 [java[4377]]
[11393.574071] nouveau 0000:01:00.0: java[4377]: failed to idle channel 6 [java[4377]]
Comment 31 Cedric Brandenbourger 2016-06-25 12:33:10 UTC
Just installed Kernel 4.6 and now i'm getting the following message:

kernel: nouveau 0000:01:00.0: Direct firmware load for nvidia/gk106/fecs_inst.bin failed with error -2
kernel: nouveau 0000:01:00.0: gr: failed to load fecs_inst

Does the directories have changed again?

I also tried the original nouveau firmware with kernel 4.6. I think it's more stable but when i'm watching a video, totem or vlc are at 100% of CPU
Comment 32 Ehsan Azar 2016-07-04 18:01:41 UTC
I have the same issue:
$ uname -a
Linux dashesy.wavelet 4.5.7-200.fc23.x86_64 #1 SMP Wed Jun 8 17:41:50 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

$ lspci

01:00.0 VGA compatible controller: NVIDIA Corporation GK208 [GeForce GT 730] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Dell Device 1083
	Flags: bus master, fast devsel, latency 0, IRQ 126
	Memory at de000000 (32-bit, non-prefetchable) [size=16M]
	Memory at d0000000 (64-bit, prefetchable) [size=128M]
	Memory at d8000000 (64-bit, prefetchable) [size=32M]
	I/O ports at e000 [size=128]
	Expansion ROM at df000000 [disabled] [size=512K]
	Capabilities: <access denied>
	Kernel driver in use: nouveau
	Kernel modules: nouveau


I get complete system hang:
$ journalctl --no-pager -b -1 -p err
Jul 03 05:37:30 dashesy.wavelet kernel: nouveau 0000:01:00.0: priv: HUB0: 086014 ffffffff (1c70820c)
Jul 03 12:37:58 dashesy.wavelet bluetoothd[881]: Failed to obtain handles for "Service Changed" characteristic
Jul 03 12:37:59 dashesy.wavelet mcelog[923]: Family 6 Model 5e CPU: only decoding architectural errors
Jul 03 12:38:29 dashesy.wavelet spice-vdagent[1552]: Cannot access vdagent virtio channel /dev/virtio-ports/com.redhat.spice.0
Jul 03 12:38:42 dashesy.wavelet spice-vdagent[2068]: Cannot access vdagent virtio channel /dev/virtio-ports/com.redhat.spice.0
Jul 03 12:38:43 dashesy.wavelet pulseaudio[2190]: [pulseaudio] pid.c: Daemon already running.
Jul 04 09:12:02 dashesy.wavelet kernel: nouveau 0000:01:00.0: fifo: read fault at 0000260000 engine 00 [GR] client 04 [GPC0/T1_1] reason 02 [PTE] on channel 6 [007fb61000 systemd-logind[917]]
Jul 04 09:12:02 dashesy.wavelet kernel: nouveau 0000:01:00.0: fifo: gr engine fault on channel 6, recovering...
Jul 04 09:12:02 dashesy.wavelet kernel: nouveau 0000:01:00.0: gr: TRAP ch 6 [007fb61000 systemd-logind[917]]
Jul 04 09:12:02 dashesy.wavelet kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000049
Jul 04 09:12:02 dashesy.wavelet kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000049


Here from another boot:
$ journalctl --no-pager -b -2 -p err
-- Logs begin at Thu 2016-05-05 05:39:48 PDT, end at Mon 2016-07-04 10:53:42 PDT. --
Jun 29 13:43:01 dashesy.wavelet kernel: nouveau 0000:01:00.0: priv: HUB0: 086014 ffffffff (1b70820c)
Jun 29 20:43:16 dashesy.wavelet mcelog[895]: Family 6 Model 5e CPU: only decoding architectural errors
Jun 29 20:43:17 dashesy.wavelet bluetoothd[885]: Failed to obtain handles for "Service Changed" characteristic
Jun 29 20:44:06 dashesy.wavelet spice-vdagent[1550]: Cannot access vdagent virtio channel /dev/virtio-ports/com.redhat.spice.0
Jun 29 20:44:40 dashesy.wavelet spice-vdagent[2053]: Cannot access vdagent virtio channel /dev/virtio-ports/com.redhat.spice.0
Jun 29 20:44:41 dashesy.wavelet pulseaudio[2181]: [pulseaudio] pid.c: Daemon already running.
Jun 30 18:12:09 dashesy.wavelet systemd[1]: Failed to start dnf makecache.
Jul 03 08:56:52 dashesy.wavelet cinnamon-screensaver-dialog[14887]: gkr-pam: the password for the login keyring was invalid.
Jul 03 12:35:23 dashesy.wavelet kernel: nouveau 0000:01:00.0: fifo: write fault at 0000260000 engine 00 [GR] client 0f [GPC0/PROP_0] reason 02 [PTE] on channel 6 [007fb61000 systemd-logind[939]]
Jul 03 12:35:23 dashesy.wavelet kernel: nouveau 0000:01:00.0: fifo: gr engine fault on channel 6, recovering...
dashesy@dashesy ~


Needless to say, recovering does not help, X hangs completely.
Comment 33 Ehsan Azar 2016-07-04 18:02:36 UTC
If there is a work-in-progress kernel module, I will gladly test it for you, thanks
Comment 34 Martin Assarsson 2016-10-27 14:39:29 UTC
Some days this lockup occurs multiple times.
I can log in to the machine via ssh but UI is completely locked.
Have tried to forcefully kill gdm and restart it, and successfully got it running, but not for long.

...
Oct 27 10:56:40 martin-m4800 nm-dispatcher: req:1 'dhcp4-change' [eno1]: new request (1 scripts)
Oct 27 10:56:40 martin-m4800 nm-dispatcher: req:1 'dhcp4-change' [eno1]: start running ordered scripts...
Oct 27 10:59:10 martin-m4800 kernel: [12589.373968] nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Oct 27 10:59:10 martin-m4800 kernel: [12589.373974] nouveau 0000:01:00.0: fifo: gr engine fault on channel 9, recovering...
...
Oct 27 15:48:30 martin-m4800 kernel: [17226.068134] nouveau 0000:01:00.0: gr: TRAP ch 8 [007f5d4000 gnome-shell[1802]]
Oct 27 15:48:30 martin-m4800 kernel: [17226.068145] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000080 [ZETA_STORAGE_TYPE_MISMATCH] x = 1672, y = 56, format = 0, storage type = fe
Oct 27 15:48:35 martin-m4800 kernel: [17230.454392] nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Oct 27 15:48:35 martin-m4800 kernel: [17230.454398] nouveau 0000:01:00.0: fifo: gr engine fault on channel 9, recovering...
...
Oct 27 16:02:48 martin-m4800 wpa_supplicant[1304]: wlp5s0: Reject scan trigger since one is already pending
Oct 27 16:04:48 martin-m4800 chromium.desktop[2104]: couldn't lock 16384 bytes of memory (secret_session): Cannot allocate memory
Oct 27 16:04:50 martin-m4800 minissdpd[896]: 5 new devices added
Oct 27 16:05:09 martin-m4800 kernel: [  782.928665] nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Oct 27 16:05:09 martin-m4800 kernel: [  782.928671] nouveau 0000:01:00.0: fifo: gr engine fault on channel 9, recovering...
...

Linux martin-m4800 4.7.0-1-amd64 #1 SMP Debian 4.7.8-1 (2016-10-19) x86_64 GNU/Linux
libdrm-nouveau2/testing,now 2.4.71-1 amd64 [installed,automatic]
xserver-xorg-video-nouveau/testing,now 1:1.0.13-1 amd64 [installed,automatic]
libegl1-mesa/testing,now 12.0.3-1 amd64 [installed,automatic]
libgl1-mesa-dev/testing,now 12.0.3-1 amd64 [installed,automatic]
libgl1-mesa-dri/testing,now 12.0.3-1 amd64 [installed,automatic]
libgl1-mesa-glx/testing,now 12.0.3-1 amd64 [installed,automatic]
libglapi-mesa/testing,now 12.0.3-1 amd64 [installed,automatic]
libgles2-mesa/testing,now 12.0.3-1 amd64 [installed,automatic]
libglu1-mesa/testing,now 9.0.0-2.1 amd64 [installed,automatic]
libglu1-mesa-dev/testing,now 9.0.0-2.1 amd64 [installed,automatic]
libwayland-egl1-mesa/testing,now 12.0.3-1 amd64 [installed,automatic]
mesa-common-dev/testing,now 12.0.3-1 amd64 [installed,automatic]
mesa-va-drivers/testing,now 12.0.3-1 amd64 [installed,automatic]
mesa-vdpau-drivers/testing,now 12.0.3-1 amd64 [installed,automatic]
libwayland-client0/testing,now 1.11.0-2 amd64 [installed,automatic]
libwayland-cursor0/testing,now 1.11.0-2 amd64 [installed,automatic]
libwayland-egl1-mesa/testing,now 12.0.3-1 amd64 [installed,automatic]
libwayland-server0/testing,now 1.11.0-2 amd64 [installed,automatic]
xwayland/testing,now 2:1.18.4-2 amd64 [installed,automatic]
gnome-shell/testing,now 3.22.1-1 amd64 [installed,automatic]

Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) LoadModule: "nv"
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (WW) Warning, couldn't open module nv
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) UnloadModule: "nv"
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) Unloading nv
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (EE) Failed to load module "nv" (module does not exist, 0)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) LoadModule: "modesetting"
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) Module modesetting: vendor="X.Org Foundation"
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011compiled for 1.18.4, module version = 1.18.4
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011Module class: X.Org Video Driver
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011ABI class: X.Org Video Driver, version 20.0
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) LoadModule: "fbdev"
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) Module fbdev: vendor="X.Org Foundation"
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011compiled for 1.18.0, module version = 0.4.4
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011Module class: X.Org Video Driver
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011ABI class: X.Org Video Driver, version 20.0
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) LoadModule: "vesa"
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) Module vesa: vendor="X.Org Foundation"
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011compiled for 1.18.0, module version = 2.3.4
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011Module class: X.Org Video Driver
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011ABI class: X.Org Video Driver, version 20.0
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU driver Date:   Tue Sep 20 00:31:06 2016 -0400
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU driver for NVIDIA chipset families :
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011RIVA TNT        (NV04)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011RIVA TNT2       (NV05)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011GeForce 256     (NV10)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011GeForce 2       (NV11, NV15)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011GeForce 4MX     (NV17, NV18)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011GeForce 3       (NV20)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011GeForce 4Ti     (NV25, NV28)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011GeForce FX      (NV3x)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011GeForce 6       (NV4x)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011GeForce 7       (G7x)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011GeForce 8       (G8x)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011GeForce GTX 200 (NVA0)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011GeForce GTX 400 (NVC0)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) modesetting: Driver for Modesetting Kernel Drivers: kms
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) FBDEV: driver for framebuffer: fbdev
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) VESA: driver for VESA chipsets: vesa
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: xf86EnableIOPorts: failed to set IOPL for I/O (Operation not permitted)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) [drm] nouveau interface version: 1.3.1
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (WW) Falling back to old probe method for modesetting
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (WW) Falling back to old probe method for fbdev
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) Loading sub module "fbdevhw"
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) LoadModule: "fbdevhw"
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) Loading /usr/lib/xorg/modules/libfbdevhw.so
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) Module fbdevhw: vendor="X.Org Foundation"
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011compiled for 1.18.4, module version = 0.0.2
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011ABI class: X.Org Video Driver, version 20.0
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (WW) Falling back to old probe method for vesa
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) Loading sub module "dri2"
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) LoadModule: "dri2"
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) Module "dri2" already built-in
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (--) NOUVEAU(0): Chipset: "NVIDIA NVE6"
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Creating default Display subsection in Screen section
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: #011"Default Screen Section" for depth/fbbpp 24/32
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (==) NOUVEAU(0): Depth 24, (--) framebuffer bpp 32
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (==) NOUVEAU(0): RGB weight 888
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (==) NOUVEAU(0): Default visual is TrueColor
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (==) NOUVEAU(0): Using HW cursor
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (==) NOUVEAU(0): Allowed maximum DRI level 2.
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (==) NOUVEAU(0): GLX sync to VBlank enabled.
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (==) NOUVEAU(0): Page flipping enabled
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (==) NOUVEAU(0): Swap limit set to 1 [Max allowed 2]
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (==) NOUVEAU(0): Page flipping synced to vblank by kernel.
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Initializing outputs ...
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Output DP-1 has no monitor section
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Output DP-2 has no monitor section
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Output eDP-1 has no monitor section
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Output DP-3 has no monitor section
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Output VGA-1 has no monitor section
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 5 crtcs needed for screen.
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Allocated crtc nr. 0 to this screen.
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Allocated crtc nr. 1 to this screen.
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Allocated crtc nr. 2 to this screen.
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Allocated crtc nr. 3 to this screen.
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): EDID for output DP-1
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Manufacturer: DEL  Model: d01c  Serial#: 808532051
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Year: 2010  Week: 22
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): EDID Version: 1.3
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Digital Display Input
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Max Image Size [cm]: horiz.: 51  vert.: 29
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Gamma: 2.20
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): DPMS capabilities: StandBy Suspend Off
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): First detailed timing is preferred mode
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): redX: 0.660 redY: 0.325   greenX: 0.217 greenY: 0.676
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): blueX: 0.146 blueY: 0.075   whiteX: 0.313 whiteY: 0.329
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Supported established timings:
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 720x400@70Hz
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 640x480@60Hz
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 640x480@75Hz
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 800x600@60Hz
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 800x600@75Hz
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 1024x768@60Hz
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 1024x768@75Hz
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 1280x1024@75Hz
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Manufacturer's mask: 0
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Supported standard timings:
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0: hsize: 1152  vsize 864  refresh: 75  vid: 20337
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #1: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #2: hsize: 1680  vsize 1050  refresh: 60  vid: 179
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Supported detailed timing:
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): clock: 156.8 MHz   Image Size:  510 x 290 mm
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): h_active: 2048  h_sync: 2096  h_sync_end 2128 h_blank_end 2208 h_border: 0
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): v_active: 1152  v_sync: 1155  v_sync_end 1160 v_blanking: 1185 v_border: 0
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Serial No: T940F05V018S
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Ranges: V min: 56 V max: 85 Hz, H min: 30 H max: 92 kHz, PixClock max 175 MHz
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Monitor name: DELL SP2309W
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): EDID (in hex):
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #01100ffffffffffff0010ac1cd053383130
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0111614010380331d78ea1855a95337ad25
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #011135054a54b00714f8180b30001010101
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0110101010101013b3d00a0808021403020
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0113500fe221100001a000000ff00543934
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0113046303556303138530a000000fd0038
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #011551e5c11000a202020202020000000fc
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0110044454c4c20535032333039570a005d
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Printing probed modes for output DP-1
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "2048x1152"x59.9  156.75  2048 2096 2128 2208  1152 1155 1160 1185 +hsync -vsync (71.0 kHz eP)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1680x1050"x59.9  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz e)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz e)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz e)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1024x768"x75.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
Oct 27 11:02:00 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): EDID for output DP-2
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): EDID for output eDP-1
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Manufacturer: SHP  Model: 13f9  Serial#: 0
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Year: 2013  Week: 27
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): EDID Version: 1.4
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Digital Display Input
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 8 bits per channel
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Digital interface is DisplayPort
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Max Image Size [cm]: horiz.: 35  vert.: 19
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Gamma: 2.20
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): No DPMS capabilities specified
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Default color space is primary color space
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): First detailed timing is preferred mode
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Preferred mode is native pixel format and refresh rate
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): redX: 0.640 redY: 0.329   greenX: 0.300 greenY: 0.600
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): blueX: 0.149 blueY: 0.060   whiteX: 0.312 whiteY: 0.328
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Manufacturer's mask: 0
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Supported detailed timing:
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): clock: 373.2 MHz   Image Size:  346 x 194 mm
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): h_active: 3200  h_sync: 3248  h_sync_end 3280 h_blank_end 3360 h_border: 0
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): v_active: 1800  v_sync: 1803  v_sync_end 1808 v_blanking: 1852 v_border: 0
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0):  JJ74H<80>LQ156Z1
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Unknown vendor-specific block 0
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): EDID (in hex):
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #01100ffffffffffff004d10f91300000000
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0111b170104a52313780ede50a3544c9926
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0110f505400000001010101010101010101
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #011010101010101cd9180a0c00834703020
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #01135005ac2100000180000001000000000
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #01100000000000000000000000000fe004a
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0114a373448804c513135365a3100000000
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0110002410328001200000b010a202000f0
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Printing probed modes for output eDP-1
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "3200x1800"x60.0  373.25  3200 3248 3280 3360  1800 1803 1808 1852 -hsync -vsync (111.1 kHz eP)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1920x1200"x59.9  193.25  1920 2056 2256 2592  1200 1203 1209 1245 -hsync +vsync (74.6 kHz)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1920x1080"x60.0  173.00  1920 2048 2248 2576  1080 1083 1088 1120 -hsync +vsync (67.2 kHz)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1600x1200"x59.9  161.00  1600 1712 1880 2160  1200 1203 1207 1245 -hsync +vsync (74.5 kHz)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1680x1050"x60.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1400x1050"x60.0  121.75  1400 1488 1632 1864  1050 1053 1057 1089 -hsync +vsync (65.3 kHz)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1280x1024"x59.9  109.00  1280 1368 1496 1712  1024 1027 1034 1063 -hsync +vsync (63.7 kHz)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1280x960"x59.9  101.25  1280 1360 1488 1696  960 963 967 996 -hsync +vsync (59.7 kHz)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1152x864"x60.0   81.75  1152 1216 1336 1520  864 867 871 897 -hsync +vsync (53.8 kHz)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "720x400"x59.6   22.25  720 744 808 896  400 403 413 417 -hsync +vsync (24.8 kHz)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "640x400"x60.0   20.00  640 664 720 800  400 403 409 417 -hsync +vsync (25.0 kHz)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "640x350"x59.8   17.50  640 664 720 800  350 353 363 366 -hsync +vsync (21.9 kHz)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): EDID for output DP-3
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Manufacturer: DEL  Model: d01c  Serial#: 808470611
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Year: 2010  Week: 22
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): EDID Version: 1.3
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Digital Display Input
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Max Image Size [cm]: horiz.: 51  vert.: 29
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Gamma: 2.20
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): DPMS capabilities: StandBy Suspend Off
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): First detailed timing is preferred mode
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): redX: 0.660 redY: 0.325   greenX: 0.217 greenY: 0.676
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): blueX: 0.146 blueY: 0.075   whiteX: 0.313 whiteY: 0.329
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Supported established timings:
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 720x400@70Hz
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 640x480@60Hz
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 640x480@75Hz
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 800x600@60Hz
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 800x600@75Hz
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 1024x768@60Hz
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 1024x768@75Hz
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): 1280x1024@75Hz
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Manufacturer's mask: 0
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Supported standard timings:
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0: hsize: 1152  vsize 864  refresh: 75  vid: 20337
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #1: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #2: hsize: 1680  vsize 1050  refresh: 60  vid: 179
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Supported detailed timing:
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): clock: 156.8 MHz   Image Size:  510 x 290 mm
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): h_active: 2048  h_sync: 2096  h_sync_end 2128 h_blank_end 2208 h_border: 0
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): v_active: 1152  v_sync: 1155  v_sync_end 1160 v_blanking: 1185 v_border: 0
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Serial No: T940F05V00HS
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Ranges: V min: 56 V max: 85 Hz, H min: 30 H max: 92 kHz, PixClock max 175 MHz
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Monitor name: DELL SP2309W
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): EDID (in hex):
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #01100ffffffffffff0010ac1cd053483030
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0111614010380331d78ea1855a95337ad25
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #011135054a54b00714f8180b30001010101
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0110101010101013b3d00a0808021403020
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0113500fe221100001a000000ff00543934
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0113046303556303048530a000000fd0038
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #011551e5c11000a202020202020000000fc
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): #0110044454c4c20535032333039570a003f
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Printing probed modes for output DP-3
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "2048x1152"x59.9  156.75  2048 2096 2128 2208  1152 1155 1160 1185 +hsync -vsync (71.0 kHz eP)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1680x1050"x59.9  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz e)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz e)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz e)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1024x768"x75.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): EDID for output VGA-1
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Output DP-1 connected
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Output DP-2 disconnected
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Output eDP-1 connected
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Output DP-3 connected
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Output VGA-1 disconnected
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Using spanning desktop for initial modes
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Output DP-1 using initial mode 2048x1152 +0+0
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Output eDP-1 using initial mode 3200x1800 +2048+0
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Output DP-3 using initial mode 2048x1152 +5248+0
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (--) NOUVEAU(0): Virtual size is 7296x1800 (pitch 0)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (**) NOUVEAU(0):  Driver mode "2048x1152": 156.8 MHz (scaled from 0.0 MHz), 71.0 kHz, 59.9 Hz
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "2048x1152"x59.9  156.75  2048 2096 2128 2208  1152 1155 1160 1185 +hsync -vsync (71.0 kHz eP)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (**) NOUVEAU(0):  Driver mode "1680x1050": 119.0 MHz (scaled from 0.0 MHz), 64.7 kHz, 59.9 Hz
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1680x1050"x59.9  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz e)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (**) NOUVEAU(0):  Driver mode "1280x1024": 135.0 MHz (scaled from 0.0 MHz), 80.0 kHz, 75.0 Hz
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz e)
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (**) NOUVEAU(0):  Driver mode "1280x1024": 108.0 MHz (scaled from 0.0 MHz), 64.0 kHz, 60.0 Hz
Oct 27 11:02:01 martin-m4800 /usr/lib/gdm3/gdm-x-session[1713]: (II) NOUVEAU(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz e)
...
Comment 35 jadziadax30 2017-06-21 16:54:25 UTC
Similar problem here on Gentoo Linux. I've posted about it already here:

https://bugs.launchpad.net/ubuntu/+source/libx11/+bug/1636564/comments/6
Comment 36 jadziadax30 2017-06-26 00:03:30 UTC
Here is also part of dmesg:

[    7.332094] IPv6: ADDRCONF(NETDEV_UP): enp11s0: link is not ready
[    7.334879] IPv6: ADDRCONF(NETDEV_UP): wlp9s0: link is not ready
[   12.558301] ERROR @wl_cfg80211_scan : 
[   12.558303] WLC_SCAN error (-22)
[   12.569340] ERROR @wl_notify_scan_status : 
[   12.569342] wlp9s0 Scan_results error (-22)
[   12.984633] mount.nfs4 (3700) used greatest stack depth: 9856 bytes left
[ 4226.739222] NFS: v4 server 192.168.0.3 does not accept raw uid/gids. Reenabling the idmapper.
[49795.891760] audit: type=1702 audit(1498309367.761:2): op=linkat ppid=20945 pid=21158 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[49795.891765] audit: type=1302 audit(1498309367.761:3): item=0 name="/mnt/DS/shared/Dropbox/Coding/hyperq/.git/objects/89/tmp_obj_7ZX1y3" inode=29891841 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[49836.264906] audit: type=1702 audit(1498309408.136:4): op=linkat ppid=20945 pid=21193 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[49836.264912] audit: type=1302 audit(1498309408.136:5): item=0 name="/mnt/DS/shared/Dropbox/Coding/hyperq/.git/objects/95/tmp_obj_VxWTRh" inode=29891847 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[49954.662919] audit: type=1702 audit(1498309526.537:6): op=linkat ppid=20945 pid=21258 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[49954.662924] audit: type=1302 audit(1498309526.537:7): item=0 name="/mnt/DS/shared/Dropbox/Coding/hyperq/.git/objects/30/tmp_obj_gJFUTM" inode=29891867 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[75480.055986] vmd_LINUX[14529]: segfault at 10b62 ip 0000000000010b62 sp 00007ffd53856208 error 14 in vmd_LINUX[400000+41d000]
[78854.971201] python[14803]: segfault at bad80e0 ip 000000000bad80e0 sp 00007ffebb5439a8 error 15
[128063.630122] python[20378]: segfault at 0 ip           (null) sp 00007ffebc4fd3e8 error 14 in python[400000+118000]
[139982.541762] traps: pluma[12851] general protection ip:7f90293d53c6 sp:7ffe222ea688 error:0
[139982.541768]  in libc-2.23.so[7f9029357000+190000]
[157524.753121] ERROR @wl_cfg80211_scan : 
[157524.753123] WLC_SCAN error (-22)
[157524.770899] ERROR @wl_cfg80211_scan : 
[157524.770901] WLC_SCAN error (-22)
[157525.771293] ERROR @wl_cfg80211_scan : 
[157525.771295] WLC_SCAN error (-22)
[157526.772452] ERROR @wl_cfg80211_scan : 
[157526.772453] WLC_SCAN error (-22)
[157527.773574] ERROR @wl_cfg80211_scan : 
[157527.773576] WLC_SCAN error (-22)
[157528.774743] ERROR @wl_cfg80211_scan : 
[157528.774746] WLC_SCAN error (-22)
[157563.204816] ERROR @wl_notify_scan_status : 
[157563.204818] wlp9s0 Scan_results error (-22)
[157571.215884] ERROR @wl_cfg80211_scan : 
[157571.215886] WLC_SCAN error (-22)
[157571.260789] ERROR @wl_cfg80211_scan : 
[157571.260790] WLC_SCAN error (-22)
[165109.303572] audit: type=1702 audit(1498424684.260:8): op=linkat ppid=13665 pid=10481 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165109.303577] audit: type=1302 audit(1498424684.260:9): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/67/tmp_obj_T4Q5Gq" inode=29891920 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165109.326565] audit: type=1702 audit(1498424684.283:10): op=linkat ppid=13665 pid=10481 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165109.326570] audit: type=1302 audit(1498424684.283:11): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/c2/tmp_obj_nYbKHu" inode=29891922 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165109.358538] audit: type=1702 audit(1498424684.314:12): op=linkat ppid=13665 pid=10481 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165109.358543] audit: type=1302 audit(1498424684.314:13): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/a7/tmp_obj_Z19Cgx" inode=29891924 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165109.387394] audit: type=1702 audit(1498424684.343:14): op=linkat ppid=13665 pid=10481 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165109.387398] audit: type=1302 audit(1498424684.343:15): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/9f/tmp_obj_f4qb3v" inode=29891926 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165109.407037] audit: type=1702 audit(1498424684.363:16): op=linkat ppid=13665 pid=10481 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165109.407042] audit: type=1302 audit(1498424684.363:17): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/8f/tmp_obj_LWwMBy" inode=29891928 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165120.998695] audit_printk_skb: 144 callbacks suppressed
[165120.998696] audit: type=1702 audit(1498424695.956:66): op=linkat ppid=13665 pid=10517 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165120.998701] audit: type=1302 audit(1498424695.956:67): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/a5/tmp_obj_8LoZDe" inode=29891979 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165121.021572] audit: type=1702 audit(1498424695.979:68): op=linkat ppid=13665 pid=10517 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165121.021577] audit: type=1302 audit(1498424695.979:69): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/94/tmp_obj_yv5Wvg" inode=29891981 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165121.082312] audit: type=1702 audit(1498424696.040:70): op=linkat ppid=13665 pid=10517 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165121.082318] audit: type=1302 audit(1498424696.040:71): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/5a/tmp_obj_VzQB8d" inode=29891983 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165121.095029] audit: type=1702 audit(1498424696.052:72): op=linkat ppid=13665 pid=10517 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165121.095033] audit: type=1302 audit(1498424696.052:73): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/d8/tmp_obj_bgwase" inode=29891985 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165121.173133] audit: type=1702 audit(1498424696.130:74): op=linkat ppid=13665 pid=10517 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165121.173138] audit: type=1302 audit(1498424696.130:75): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/c5/tmp_obj_hj2mkh" inode=29891987 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165703.986491] audit: type=1702 audit(1498425278.960:76): op=linkat ppid=13665 pid=12521 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165703.986496] audit: type=1302 audit(1498425278.960:77): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/30/tmp_obj_r5E4qe" inode=29892006 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165704.044972] audit: type=1702 audit(1498425279.018:78): op=linkat ppid=13665 pid=12521 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165704.044976] audit: type=1302 audit(1498425279.018:79): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/ac/tmp_obj_H1E7Ck" inode=29892008 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165704.120809] audit: type=1702 audit(1498425279.094:80): op=linkat ppid=13665 pid=12521 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165704.120814] audit: type=1302 audit(1498425279.094:81): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/67/tmp_obj_Cnnsbf" inode=29892009 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165731.174594] audit: type=1702 audit(1498425306.148:82): op=linkat ppid=13665 pid=12613 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165731.174599] audit: type=1302 audit(1498425306.148:83): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/b6/tmp_obj_r5CGRl" inode=29892011 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165731.188550] audit: type=1702 audit(1498425306.162:84): op=linkat ppid=13665 pid=12613 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165731.188554] audit: type=1302 audit(1498425306.162:85): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/4e/tmp_obj_9zxrAj" inode=29892013 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[165731.269911] audit: type=1702 audit(1498425306.244:86): op=linkat ppid=13665 pid=12613 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[165731.269918] audit: type=1302 audit(1498425306.244:87): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/37/tmp_obj_HXKoQr" inode=29892014 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[168578.203317] audit: type=1702 audit(1498428153.254:88): op=linkat ppid=13665 pid=29645 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[168578.203323] audit: type=1302 audit(1498428153.254:89): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/f3/tmp_obj_airiOs" inode=29891873 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[168578.254536] audit: type=1702 audit(1498428153.305:90): op=linkat ppid=13665 pid=29645 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[168578.254541] audit: type=1302 audit(1498428153.305:91): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/d8/tmp_obj_M37WHw" inode=29892015 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[168609.032704] audit: type=1702 audit(1498428184.084:92): op=linkat ppid=13665 pid=29768 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[168609.032709] audit: type=1302 audit(1498428184.084:93): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/75/tmp_obj_MdqOdg" inode=29892018 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[168609.049501] audit: type=1702 audit(1498428184.101:94): op=linkat ppid=13665 pid=29768 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[168609.049505] audit: type=1302 audit(1498428184.101:95): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/cb/tmp_obj_uMaZ0f" inode=29892020 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[168609.099906] audit: type=1702 audit(1498428184.152:96): op=linkat ppid=13665 pid=29768 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[168609.099910] audit: type=1302 audit(1498428184.152:97): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/d9/tmp_obj_O6P9Cl" inode=29892022 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[170875.426550] audit: type=1702 audit(1498430450.538:98): op=linkat ppid=13665 pid=8241 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[170875.426555] audit: type=1302 audit(1498430450.538:99): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/3d/tmp_obj_Vqrg2M" inode=29892025 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[170876.545473] audit: type=1702 audit(1498430451.657:100): op=linkat ppid=13665 pid=8321 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[170876.545478] audit: type=1302 audit(1498430451.657:101): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/87/tmp_obj_EUGOPT" inode=29892027 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[170876.566269] audit: type=1702 audit(1498430451.678:102): op=linkat ppid=13665 pid=8321 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[170876.566274] audit: type=1302 audit(1498430451.678:103): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/d2/tmp_obj_cwT1XW" inode=29892029 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[170876.639348] audit: type=1702 audit(1498430451.751:104): op=linkat ppid=13665 pid=8321 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=pts3 ses=3 comm="git" exe="/usr/bin/git" subj=kernel res=0
[170876.639353] audit: type=1302 audit(1498430451.751:105): item=0 name="/mnt/DS/shared/Dropbox/Software/installed/vf_tools/.git/objects/f7/tmp_obj_OhsuLZ" inode=29892030 dev=00:20 mode=0100444 ouid=65534 ogid=100 rdev=00:00 obj=unlabeled nametype=NORMAL
[174110.131081] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131090] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3e000d [OOR_REG]
[174110.131095] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3e000d [OOR_REG]
[174110.131103] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3e000d [OOR_REG]
[174110.131108] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3f000d [OOR_REG]
[174110.131119] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131127] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 678, y = 508, format = 18, storage type = 0
[174110.131134] nouveau 0000:01:00.0: gr: GPC1/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 602, y = 508, format = 18, storage type = 0
[174110.131140] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000000 [] warp 30009 [ILLEGAL_INSTR_ENCODING]
[174110.131147] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131152] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000000 [] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131157] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131161] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131165] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131168] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131177] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131185] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 684, y = 452, format = 18, storage type = 0
[174110.131192] nouveau 0000:01:00.0: gr: GPC1/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 598, y = 688, format = 18, storage type = 0
[174110.131198] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131204] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 30009 [ILLEGAL_INSTR_ENCODING]
[174110.131210] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 30009 [ILLEGAL_INSTR_ENCODING]
[174110.131216] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 20009 [ILLEGAL_INSTR_ENCODING]
[174110.131221] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131224] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131228] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131231] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131241] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131248] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000400 [RT_LINEAR_MISMATCH] x = 680, y = 162, format = 18, storage type = 0
[174110.131255] nouveau 0000:01:00.0: gr: GPC1/PROP trap: 00000400 [RT_LINEAR_MISMATCH] x = 688, y = 182, format = 18, storage type = 0
[174110.131261] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000000 [] warp 10009 [ILLEGAL_INSTR_ENCODING]
[174110.131268] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000000 [] warp 10009 [ILLEGAL_INSTR_ENCODING]
[174110.131274] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131278] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131282] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131286] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131289] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131299] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131306] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 874, y = 630, format = 18, storage type = 0
[174110.131312] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000000 [] warp 30009 [ILLEGAL_INSTR_ENCODING]
[174110.131318] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 10009 [ILLEGAL_INSTR_ENCODING]
[174110.131324] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 30009 [ILLEGAL_INSTR_ENCODING]
[174110.131330] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 10009 [ILLEGAL_INSTR_ENCODING]
[174110.131335] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131338] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131342] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131346] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131356] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131364] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000400 [RT_LINEAR_MISMATCH] x = 770, y = 92, format = 18, storage type = 0
[174110.131372] nouveau 0000:01:00.0: gr: GPC1/PROP trap: 00000400 [RT_LINEAR_MISMATCH] x = 786, y = 92, format = 18, storage type = 0
[174110.131376] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131380] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131384] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131389] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131399] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131408] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 874, y = 870, format = 18, storage type = 0
[174110.131415] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 10009 [ILLEGAL_INSTR_ENCODING]
[174110.131421] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131426] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131430] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131434] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131438] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131449] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131456] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131462] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131470] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131476] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000000 [] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131481] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131486] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131490] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131494] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131504] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131513] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 1164, y = 946, format = 18, storage type = 0
[174110.131521] nouveau 0000:01:00.0: gr: GPC1/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 1084, y = 930, format = 18, storage type = 0
[174110.131528] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000000 [] warp 30009 [ILLEGAL_INSTR_ENCODING]
[174110.131536] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 20009 [ILLEGAL_INSTR_ENCODING]
[174110.131542] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 10009 [ILLEGAL_INSTR_ENCODING]
[174110.131547] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131551] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131556] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131560] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131572] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131579] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 1070, y = 1072, format = 18, storage type = 0
[174110.131586] nouveau 0000:01:00.0: gr: GPC1/PROP trap: 00000400 [RT_LINEAR_MISMATCH] x = 892, y = 24, format = 18, storage type = 0
[174110.131592] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131598] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 30009 [ILLEGAL_INSTR_ENCODING]
[174110.131603] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131606] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131610] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131614] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131623] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131630] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 1152, y = 862, format = 18, storage type = 0
[174110.131637] nouveau 0000:01:00.0: gr: GPC1/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 1078, y = 1004, format = 18, storage type = 0
[174110.131643] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 10009 [ILLEGAL_INSTR_ENCODING]
[174110.131649] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 20009 [ILLEGAL_INSTR_ENCODING]
[174110.131656] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 10009 [ILLEGAL_INSTR_ENCODING]
[174110.131661] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131666] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131670] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131673] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131677] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131686] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131693] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000400 [RT_LINEAR_MISMATCH] x = 866, y = 164, format = 18, storage type = 0
[174110.131700] nouveau 0000:01:00.0: gr: GPC1/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 1374, y = 1092, format = 18, storage type = 0
[174110.131706] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131713] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 30009 [ILLEGAL_INSTR_ENCODING]
[174110.131719] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 30009 [ILLEGAL_INSTR_ENCODING]
[174110.131724] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131727] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131731] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131734] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131744] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131751] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 580, y = 838, format = 18, storage type = 0
[174110.131758] nouveau 0000:01:00.0: gr: GPC1/PROP trap: 00000400 [RT_LINEAR_MISMATCH] x = 890, y = 148, format = 18, storage type = 0
[174110.131764] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000000 [] warp 10009 [ILLEGAL_INSTR_ENCODING]
[174110.131770] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 20009 [ILLEGAL_INSTR_ENCODING]
[174110.131777] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 30009 [ILLEGAL_INSTR_ENCODING]
[174110.131782] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131787] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131790] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131794] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131798] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131807] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131814] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 874, y = 572, format = 18, storage type = 0
[174110.131820] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000000 [] warp 30009 [ILLEGAL_INSTR_ENCODING]
[174110.131826] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000000 [] warp 30009 [ILLEGAL_INSTR_ENCODING]
[174110.131832] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 30009 [ILLEGAL_INSTR_ENCODING]
[174110.131838] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131843] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131846] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131850] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131854] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131863] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131871] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 582, y = 814, format = 18, storage type = 0
[174110.131878] nouveau 0000:01:00.0: gr: GPC1/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 404, y = 886, format = 18, storage type = 0
[174110.131884] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131889] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 20009 [ILLEGAL_INSTR_ENCODING]
[174110.131896] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 20009 [ILLEGAL_INSTR_ENCODING]
[174110.131901] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 20009 [ILLEGAL_INSTR_ENCODING]
[174110.131906] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131910] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131913] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131917] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131930] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.131939] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000400 [RT_LINEAR_MISMATCH] x = 398, y = 148, format = 18, storage type = 0
[174110.131947] nouveau 0000:01:00.0: gr: GPC1/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 500, y = 682, format = 18, storage type = 0
[174110.131953] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 20009 [ILLEGAL_INSTR_ENCODING]
[174110.131958] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.131965] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 20009 [ILLEGAL_INSTR_ENCODING]
[174110.131971] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 20009 [ILLEGAL_INSTR_ENCODING]
[174110.131975] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.131979] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.131983] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.131986] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.131996] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.132003] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000400 [RT_LINEAR_MISMATCH] x = 582, y = 262, format = 18, storage type = 0
[174110.132010] nouveau 0000:01:00.0: gr: GPC1/PROP trap: 00000400 [RT_LINEAR_MISMATCH] x = 218, y = 166, format = 18, storage type = 0
[174110.132016] nouveau 0000:01:00.0: gr: GPC2/TPC0/MP trap: global 00000000 [] warp 10009 [ILLEGAL_INSTR_ENCODING]
[174110.132021] nouveau 0000:01:00.0: gr: GPC2/TPC1/MP trap: global 00000000 [] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.132028] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174110.132033] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 10009 [ILLEGAL_INSTR_ENCODING]
[174110.132038] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.132042] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.132045] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.132049] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.132058] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.132065] nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000400 [RT_LINEAR_MISMATCH] x = 686, y = 294, format = 18, storage type = 0
[174110.132072] nouveau 0000:01:00.0: gr: GPC1/PROP trap: 00000400 [RT_LINEAR_MISMATCH] x = 700, y = 304, format = 18, storage type = 0
[174110.132076] nouveau 0000:01:00.0: gr: ROP0 80000002 80000000
[174110.132080] nouveau 0000:01:00.0: gr: ROP1 80000002 80000000
[174110.132083] nouveau 0000:01:00.0: gr: ROP2 80000002 80000000
[174110.132087] nouveau 0000:01:00.0: gr: ROP3 80000002 80000000
[174110.132096] nouveau 0000:01:00.0: gr: TRAP ch 7 [007f406000 X[3563]]
[174110.132104] nouveau 0000:01:00.0: gr: GPC1/PROP trap: 00000400 [RT_LINEAR_MISMATCH] x = 692, y = 250, format = 18, storage type = 0
[174110.132110] nouveau 0000:01:00.0: gr: GPC3/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 10009 [ILLEGAL_INSTR_ENCODING]
[174110.132115] nouveau 0000:01:00.0: gr: GPC3/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 0009 [ILLEGAL_INSTR_ENCODING]
[174114.447331] nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
[174114.447335] nouveau 0000:01:00.0: fifo: gr engine fault on channel 2, recovering...
[174114.447786] nouveau 0000:01:00.0: gr: DATA_ERROR 0000000d [BEGIN_END_ACTIVE] ch 7 [007f406000 X[3563]] subc 0 class a097 mthd 1614 data 00000000
Comment 37 dangelovich 2017-08-24 15:17:15 UTC
Same issue, Ubuntu 17 with kernel 4.10.0.32.32

kernel.log shows:
Aug 24 11:05:15 dangelovich-ud kernel: [95310.061112] nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Aug 24 11:05:15 dangelovich-ud kernel: [95310.061118] nouveau 0000:01:00.0: fifo: gr engine fault on channel 10, recovering...


Then the machine hangs (frozen, but can still move the cursor) and I have to power off. It's pretty regular at this point, so if more info is required let me know what and how to get it.
Comment 38 Robb Ebright 2017-09-02 06:16:06 UTC
I ran into a similar bug with a recent Debian install. It occurs only when I plugged in a monitor into the DVI port. It works fine with the HDMI port as I'm using it to type. But it freezes with the following error.

I'm installing the proprietary drivers so but I wanted to provide this confirmation/documentation in case it is helpful to anyone trying to solve this. In an ideal world I would use the free software drivers as well but there is evidently some issue with the software that is causing it to crash.


1 23:07:09 dragonpunk /usr/lib/gdm3/gdm-x-session[787]: (II) systemd-logind: got pause for 226:0
Sep  1 23:07:09 dragonpunk /usr/lib/gdm3/gdm-x-session[787]: (II) systemd-logind: got pause for 13:67
Sep  1 23:07:09 dragonpunk /usr/lib/gdm3/gdm-x-session[787]: (II) systemd-logind: got pause for 13:66
Sep  1 23:07:09 dragonpunk /usr/lib/gdm3/gdm-x-session[787]: (II) systemd-logind: got pause for 13:64
Sep  1 23:07:09 dragonpunk /usr/lib/gdm3/gdm-x-session[787]: (II) systemd-logind: got pause for 13:65
Sep  1 23:07:09 dragonpunk /usr/lib/gdm3/gdm-x-session[787]: (II) systemd-logind: got pause for 13:68
Sep  1 23:07:09 dragonpunk kernel: [74586.320157] nouveau 0000:01:00.0: fifo: write fault at 000031d000 engine 05 [BAR3] client 08 [BAR_WRITE] reason 02 [PAGE_NOT_PRESENT] on channel -1 [003ff35000 unknown]
Sep  1 23:07:09 dragonpunk kernel: [74586.320169] nouveau 0000:01:00.0: fifo: INTR 08000000
Sep  1 23:07:09 dragonpunk kernel: [74586.825813] nouveau 0000:01:00.0: gr: TRAP ch 2 [003fd30000 systemd-logind[448]]
Sep  1 23:07:09 dragonpunk kernel: [74586.825826] nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000041
Sep  1 23:07:09 dragonpunk kernel: [74586.825834] nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000041
Sep  1 23:07:09 dragonpunk kernel: [74586.825846] nouveau 0000:01:00.0: gr: GPC1/TPC0/TEX: 80000041
Sep  1 23:07:09 dragonpunk kernel: [74586.825854] nouveau 0000:01:00.0: gr: GPC1/TPC2/TEX: 80000041
Sep  1 23:07:09 dragonpunk kernel: [74586.825866] nouveau 0000:01:00.0: fifo: read fault at 0002f61000 engine 00 [PGRAPH] client 01 [GPC1/TEX] reason 02 [PAGE_NOT_PRESENT] on channel 2 [003fd30000 systemd-logind[448]]
Sep  1 23:07:09 dragonpunk kernel: [74586.825868] nouveau 0000:01:00.0: fifo: gr engine fault on channel 2, recovering...
Sep  1 23:07:09 dragonpunk kernel: [74586.881742] nouveau 0000:01:00.0: fifo: write fault at 0000278000 engine 00 [PGRAPH] client 0f [GPC0/PROP] reason 02 [PAGE_NOT_PRESENT] on channel 3 [003fc83000 Xwayland[602]]
Sep  1 23:07:09 dragonpunk kernel: [74586.881746] nouveau 0000:01:00.0: fifo: gr engine fault on channel 3, recovering...
Sep  1 23:07:48 dragonpunk gnome-shell[566]: Failed to apply DRM plane transform 0: Invalid argument
Sep  1 23:08:06 dragonpunk gnome-shell[566]: Failed to apply DRM plane transform 0: Invalid argument
Sep  1 23:08:06 dragonpunk gnome-shell[566]: Failed to apply DRM plane transform 0: Invalid argument
Sep  1 23:08:19 dragonpunk gnome-shell[566]: Failed to apply DRM plane transform 0: Invalid argument
Comment 39 Dustin Spicuzza 2017-11-18 18:53:09 UTC
I'm on Fedora 27, and I get the freeze with the following messages in dmesg:

[    0.000000] Linux version 4.13.12-300.fc27.x86_64 (mockbuild@bkernel01.phx2.fedoraproject.org) (gcc version 7.
2.1 20170915 (Red Hat 7.2.1-2) (GCC)) #1 SMP Wed Nov 8 16:38:01 UTC 2017

[ 3571.488551] nouveau 0000:01:00.0: gr: TRAP ch 14 [003f543000 Xwayland[3020]]
[ 3571.488560] nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000049
[ 3571.488564] nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000049
[ 3571.488568] nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000049
[ 3571.488572] nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000049
[ 3571.488581] nouveau 0000:01:00.0: fifo: read fault at 0004bbc000 engine 00 [PGRAPH] client 0a [GPC0/] reason 02 [PAGE_NOT_PRESENT] on channel 14 [003f543000 Xwayland[3020]]
[ 3571.488583] nouveau 0000:01:00.0: fifo: gr engine fault on channel 14, recovering...
[ 3571.488779] nouveau 0000:01:00.0: Xwayland[3020]: channel 14 killed!

lspci:

01:00.0 VGA compatible controller: NVIDIA Corporation GF106 [GeForce GTS 450] (rev a1)

packages:

xorg-x11-drv-nouveau-1.0.15-3.fc27
Comment 40 t-IX 2017-11-21 23:05:27 UTC
Linux 4.12.12-gentoo x86_64 Gentoo

Nov 22 00:51:36 kernel: nouveau 0000:01:00.0: gr: TRAP ch 5 [003fb72000 X[12943]]
Nov 22 00:51:36 kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000400 [RT_LINEAR_MISMATCH] x = 2048, y = 1024, format = 18, storage type = 0
Nov 22 00:51:36 kernel: nouveau 0000:01:00.0: fifo: write fault at 0009612000 engine 00 [PGRAPH] client 0f [GPC0/PROP] reason 02 [PAGE_NOT_PRESENT] on chann
el 5 [003fb72000 X[12943]]
Nov 22 00:51:36 kernel: nouveau 0000:01:00.0: fifo: gr engine fault on channel 5, recovering...
Nov 22 00:51:36 kernel: nouveau 0000:01:00.0: X[12943]: channel 5 killed!
Nov 22 00:52:49 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 10 [X[12943]]
Nov 22 00:53:04 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 10 [X[12943]]
Nov 22 00:53:04 kernel: nouveau 0000:01:00.0: fifo: read fault at 0000013000 engine 07 [PFIFO] client 07 [BAR_READ] reason 02 [PAGE_NOT_PRESENT] on channel 
10 [003f8ae000 X[12943]]
Nov 22 00:53:04 kernel: nouveau 0000:01:00.0: fifo: fifo engine fault on channel 10, recovering...
Nov 22 00:53:04 kernel: nouveau 0000:01:00.0: X[12943]: channel 10 killed!
Nov 22 00:53:19 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 13 [X[12943]]
Nov 22 00:53:34 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 13 [X[12943]]
Nov 22 00:53:49 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 9 [X[12943]]
Nov 22 00:54:04 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 9 [X[12943]]
Nov 22 00:54:19 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 6 [X[12943]]
Nov 22 00:54:34 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 6 [X[12943]]
Nov 22 00:54:49 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 12 [X[12943]]
Nov 22 00:55:04 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 12 [X[12943]]
Nov 22 00:55:19 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 7 [X[12943]]
Nov 22 00:55:34 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 7 [X[12943]]
Nov 22 00:55:49 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 4 [X[12943]]
Nov 22 00:56:04 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 4 [X[12943]]
Nov 22 00:56:19 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 3 [X[12943]]
Nov 22 00:56:34 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 3 [X[12943]]
Nov 22 00:56:49 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 2 [X[12943]]
Nov 22 00:57:04 kernel: nouveau 0000:01:00.0: X[12943]: failed to idle channel 2 [X[12943]]

Chipset: "NVIDIA NVC1"
NVIDIA Corporation GF108 [GeForce GT 430] (rev a1)
Digital interface is DisplayPort
Comment 41 Pierre Moreau 2017-11-21 23:27:12 UTC
t-IX and Dustin, you are experiencing a different bug: the current bug report is about a context switching timing out on GK106/GK107 (Kepler architecture), whereas you are using different chipsets (GF106/GF108: Fermi architecture) and the log you provided do not mention the CTXSW_TIMEOUT error. Please open a separate bug report where you also describe what you were doing at the time of the crash/freeze.

Robb, you are most likely hitting a different issue as well, so please open a separate bug report, including the kernel version used and which GPU model you have (you can get it by running `lspci -d 10de:`).
Comment 42 Jan Vlug 2017-12-31 11:43:05 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=1514831#c3 for how to reproducibly trigger a freeze on Fedora 27.
Comment 43 Bruce 2018-01-25 00:30:53 UTC
"Me, too" Extract from /var/log/kern.log:

    Jan 24 16:07:35 bach kernel: [28972.823404] nouveau 0000:01:00.0: gr: TRAP ch 8 [007f6be000 chrome[2903]]
    Jan 24 16:07:35 bach kernel: [28972.823428] nouveau 0000:01:00.0: gr: GPC0/TPC0/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3f000d [OOR_REG]
    Jan 24 16:07:35 bach kernel: [28972.823437] nouveau 0000:01:00.0: gr: GPC0/TPC1/MP trap: global 00000004 [MULTIPLE_WARP_ERRORS] warp 3f000d [OOR_REG]
    Jan 24 16:07:39 bach kernel: [28977.119555] nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
    Jan 24 16:07:39 bach kernel: [28977.119564] nouveau 0000:01:00.0: fifo: gr engine fault on channel 2, recovering...

The easiest way to reproduce is to leave the computer alone for a while and more often than not, the KDE desktop will lock up. But it also locked while I was actively using it about 1/2 hour ago.

I used to be able to ssh in and type "init 4 ; init 5" and successfully restart KDE. Unfortunately, someone made SSH access tighter recently and I can no longer do that ("Connection refused").

    $ sr find /lib* /usr/lib* |grep -i nouveau|sed s/'^/    /'
    /lib/modules/4.10.0-42-generic/kernel/drivers/gpu/drm/nouveau
    /lib/modules/4.10.0-42-generic/kernel/drivers/gpu/drm/nouveau/nouveau.ko
    /lib/modules/4.10.0-35-generic/kernel/drivers/gpu/drm/nouveau
    /lib/modules/4.10.0-35-generic/kernel/drivers/gpu/drm/nouveau/nouveau.ko
    /lib/modules/4.8.0-53-generic/kernel/drivers/gpu/drm/nouveau
    /lib/modules/4.8.0-53-generic/kernel/drivers/gpu/drm/nouveau/nouveau.ko
    /usr/lib/x86_64-linux-gnu/libdrm_nouveau.so.2
    /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so
    /usr/lib/x86_64-linux-gnu/dri/nouveau_vieux_dri.so
    /usr/lib/x86_64-linux-gnu/libdrm_nouveau.so.2.0.0
    /usr/lib/xorg/modules/drivers/nouveau_drv.so
    /usr/lib/i386-linux-gnu/libdrm_nouveau.so.2
    /usr/lib/i386-linux-gnu/dri/nouveau_dri.so
    /usr/lib/i386-linux-gnu/dri/nouveau_vieux_dri.so
    /usr/lib/i386-linux-gnu/libdrm_nouveau.so.2.0.0


    $ sed 's/^/    /' /etc/os-release 
    NAME="Linux Mint"
    VERSION="18.2 (Sonya)"
    ID=linuxmint
    ID_LIKE=ubuntu
    PRETTY_NAME="Linux Mint 18.2"
    VERSION_ID="18.2"
    HOME_URL="http://www.linuxmint.com/"
    SUPPORT_URL="http://forums.linuxmint.com/"
    BUG_REPORT_URL="http://bugs.launchpad.net/linuxmint/"
    VERSION_CODENAME=sonya
    UBUNTU_CODENAME=xenial
Comment 44 Zéfling 2018-05-27 09:30:20 UTC
Same problem for me, with Kubuntu 18.04 with nouveau and GF770:

~$ journalctl --no-pager -b -2 -p err
-- Logs begin at Thu 2018-05-10 18:08:45 CEST, end at Sun 2018-05-27 11:27:52 CEST. --
mai 27 08:36:29 zefling-1 kernel: [Firmware Bug]: TSC_DEADLINE disabled due to Errata; please update microcode to version: 0x22 (or later)
mai 27 08:36:29 zefling-1 kernel: ACPI Error: [DSSP] Namespace lookup failure, AE_NOT_FOUND (20170831/psargs-364)
mai 27 08:36:29 zefling-1 kernel: ACPI Error: Method parse/execution failed \_SB.PCI0.SAT0.SPT4._GTF, AE_NOT_FOUND (20170831/psparse-550)
mai 27 08:36:29 zefling-1 kernel: ACPI Error: [DSSP] Namespace lookup failure, AE_NOT_FOUND (20170831/psargs-364)
mai 27 08:36:29 zefling-1 kernel: ACPI Error: Method parse/execution failed \_SB.PCI0.SAT0.SPT4._GTF, AE_NOT_FOUND (20170831/psparse-550)
mai 27 08:36:35 zefling-1 spice-vdagent[1617]: Cannot access vdagent virtio channel /dev/virtio-ports/com.redhat.spice.0
mai 27 08:36:35 zefling-1 pulseaudio[1708]: [pulseaudio] pid.c: Daemon already running.
mai 27 08:36:35 zefling-1 pulseaudio[1710]: [pulseaudio] pid.c: Daemon already running.
mai 27 08:37:00 zefling-1 pulseaudio[1474]: [pulseaudio] bluez5-util.c: GetManagedObjects() failed: org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms)
mai 27 08:57:30 zefling-1 kernel: nouveau 0000:01:00.0: fifo: write fault at 00002e0000 engine 00 [GR] client 0f [GPC0/PROP_0] reason 02 [PTE] on channel 2 [007f9a2000 Xorg[931]]
Comment 45 Bluenote 2018-11-06 16:05:34 UTC
Same bug for me with :

Linux Achille 4.9.0-8-amd64 #1 SMP Debian 4.9.110-3+deb9u6 (2018-10-08) x86_64 GNU/Linux


kern.log :


nouveau 0000:01:00.0: fifo: write fault at 0000240000 engine 00 [GR] client 0f [GPC0/PROP_0] reason 02 [PTE] on channel 2 [007fb4a000 Xorg[768]]
Nov  6 08:34:23 Achille kernel: [ 1046.932801] nouveau 0000:01:00.0: fifo: gr engine fault on channel 2, recovering...


GPU :

VGA compatible controller: NVIDIA Corporation GK208 [GeForce GT 710B] (rev a1)


I try this : https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=864349#20

/etc/modprobe.d/nouveau.conf :

options nouveau noaccel=1 runpm=0 nofbaccel=1 modeset=1


News in a few hours...
Comment 46 Franco Forza 2018-12-08 22:02:27 UTC
I've tested the 'NvGrUseFw=1' kernel cmdline argument (as stated in old comments from 2016 above) but it doesn't help anymore (the 4 requested fw files by nouveau during early boot were served properly and the errors about missing firmware files vanished as well).

The system freezes maybe once per week. Mostly hard crash with two keyboard leds blinking and hard reset after some time. Sometimes the kernel survives and dmesg can be read out. It shows this:
[ 7896.354441] nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
[ 7896.354452] nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
[ 7896.354458] nouveau 0000:01:00.0: fifo: channel 2: killed
[ 7896.354464] nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
[ 7896.354879] nouveau 0000:01:00.0: systemd-logind[473]: channel 2 killed!

If there's something we can do to help debug this let me know.

Arch Linux 4.19.4
xf86-video-nouveau 1.0.15 modesetting
mesa 18.2.6
xorg-server 1.20.3
Nvidia GTX770 (NVE4/GK104/Kepler)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.